package com.bwie.server.controller;

import com.bwie.common.domain.BorrowMoney;
import com.bwie.common.domain.request.BorrowMoneyReq;
import com.bwie.common.result.Result;
import com.bwie.server.service.BorrowMoneyService;
import org.springframework.web.bind.annotation.*;

import javax.annotation.Resource;
import java.util.List;

/**
 * Description:
 *
 * @Author: sun-cool-boy
 * @Date: 2023/10/10
 * @info: 借款控制类
 */
@RestController
public class BorrowMoneyController {

    @Resource
    private BorrowMoneyService borrowMoneyService;

    /**
     * 查询借款信息
     * @Parment borrowMoneyReq
     * @return
     */
    @PostMapping("/selectBorrowMoney")
    public Result<List<BorrowMoney>> selectBorrowMoney(@RequestBody BorrowMoneyReq borrowMoneyReq){
        return borrowMoneyService.selectBorrowMoney(borrowMoneyReq);
    }


    @PostMapping("/calculate")
    public Result<BorrowMoney> calculate(@RequestBody BorrowMoney borrowMoney){
        return borrowMoneyService.calculate(borrowMoney);
    }

    @PostMapping("/addBorrowMoney")
    public Result addBorrowMoney(@RequestBody BorrowMoney borrowMoney){
        return borrowMoneyService.addBorrowMoney(borrowMoney);
    }


    /**
     * 查询借款信息
     * @Parment borrowMoneyReq
     * @return
     */
    @GetMapping("/giveESData")
    public Result<List<BorrowMoney>> giveESData(){
        return borrowMoneyService.giveESData();
    }

    /**
     * 更改借款状态
     * @Parment borrowMoneyReq
     * @return
     */
    @GetMapping("/upd")
    public Result upd(@RequestParam Integer id){
        return borrowMoneyService.upd(id);
    }
}
