package com.bwie.server.exception;

import cn.hutool.http.server.HttpServerRequest;
import com.bwie.common.result.Result;
import lombok.extern.log4j.Log4j2;
import org.springframework.web.bind.annotation.ExceptionHandler;
import org.springframework.web.bind.annotation.RestController;
import org.springframework.web.bind.annotation.RestControllerAdvice;

/**
 * Description:
 *
 * @Author: sun-cool-boy
 * @Date: 2023/10/10
 * @info: 统一异常处理
 */
@RestControllerAdvice
@Log4j2
public class AllException {


    @ExceptionHandler(Exception.class)
    public Result AllException(HttpServerRequest request,Throwable throwable){
        String methodName = throwable.getStackTrace()[0].getMethodName();
        log.info("路径 {} 发生异常,方法名 {}" , request.getURI(),methodName);
        return Result.error(null,"系统异常");
    }
}
