package com.bwie.system.controller;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.bwie.common.domain.User;
import com.bwie.common.domain.request.UserReq;
import com.bwie.common.domain.response.UserRes;
import com.bwie.common.result.Result;
import com.bwie.common.utils.StringUtils;
import com.bwie.system.service.UserService;
import org.springframework.beans.BeanUtils;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RestController;

import javax.annotation.Resource;
import java.util.List;

/**
 * Description:
 *
 * @Author: sun-cool-boy
 * @Date: 2023/10/10
 * @info: 控制层
 */
@RestController
public class UserController {

    /**
     * 注入用户业务层
     */
    @Resource
    private UserService userService;

    /**
     * 查询用户
     * @param userReq
     * @return
     */
    @PostMapping("/selectUser")
    public Result<UserRes> selectUser(@RequestBody UserReq userReq) {
        return userService.selectUser(userReq);
    }
}
