package com.bwie.system.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.bwie.common.domain.User;
import com.bwie.common.domain.request.UserReq;
import com.bwie.common.domain.response.UserRes;
import com.bwie.common.result.Result;
import com.bwie.common.utils.StringUtils;
import com.bwie.system.mapper.UserMapper;
import com.bwie.system.service.UserService;
import org.springframework.beans.BeanUtils;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.util.List;

/**
 * Description:
 *
 * @Author: sun-cool-boy
 * @Date: 2023/10/10
 * @info: 业务实现类
 */
@Service
public class UserServiceImpl implements UserService {

    /**
     * 注入用户持久层
     */
    @Resource
    private UserMapper userMapper;


    /**
     * 查询用户
     * @param userReq
     * @return
     */
    @Override
    public Result<UserRes> selectUser(UserReq userReq) {
        QueryWrapper<User> queryWrapper = new QueryWrapper<>();
        queryWrapper.eq(StringUtils.isNotEmpty(userReq.getName()),"name",userReq.getName());
        List<User> users = userMapper.selectList(queryWrapper);
        User user = users.get(0);
        UserRes userRes = new UserRes();
        BeanUtils.copyProperties(user,userRes);
        return Result.success(userRes);
    }
}
